Loading...
Searching...
No Matches
talloc.h File Reference
`#include <talloc.h>`

Go to the source code of this file.

## Data Structures

struct | osmo_talloc_contexts
| per-thread talloc contexts. More...

## Macros

#define | OTC_GLOBAL (osmo_ctx->global)
#define | OTC_SELECT (osmo_ctx->select)

## Functions

int | osmo_ctx_init (const char *id)

## Variables

__thread struct osmo_talloc_contexts * | osmo_ctx

## Macro Definition Documentation

## OTC_GLOBAL

#define OTC_GLOBAL (osmo_ctx->global)

## OTC_SELECT

#define OTC_SELECT (osmo_ctx->select)

## Function Documentation

## osmo_ctx_init()

int osmo_ctx_init | ( | const char * | id | ) |

References osmo_ctx.

Referenced by __attribute__().

## Variable Documentation

## osmo_ctx

__thread struct osmo_talloc_contexts* osmo_ctx

extern

Referenced by osmo_ctx_init().